Bug 222558 - Installation crashes upon installation of
Installation crashes upon installation of
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2007-01-14 01:27 EST by Rob Hendelman
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-27 11:57:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rob Hendelman 2007-01-14 01:27:09 EST
Description of problem:

[Exception Occured]
An unhandled exception has occurred.  This is most likely a bug.  Please copy
the full text of this exception and file a detailed bug report against anaconda
at http://bugzilla.redhat.com/bugzilla

Traceback (most recent call last): 
File "/usr/src/build/500926-i386/install//usr/lib/anaconda/gui.py", line 1074,
in handleRenderCallback
File /usr/src/build/500926-i386/install//usr/lib/anaconda/iw/progress_gui.py",
line 242, in renderCallback
File "/usr/src/build/500926-i386/install//usr/lib/anaconda/gui.py", line 789, in
File "/usr/src/build/500926-i386/install/usr/lib/anaconda/dispatch.py", line
171, , in gotoNext
File "/usr/src/build/500926-i386/install/usr/lib/anaconda/dispatch.py", line
239, in moveStep
File "/usr/src/build/500926-i386/install/usr/lib/anaconda/packages.py", line
558, in turnOnFilesystems
File "/usr/src/build/500926-i386/install/usr/lib/anaconda/fsset.py", line 1428,
in createLogicalVolumes
File "/usr/src/build/500926-i386/install/usr/lib/anaconda/fsset.py", line 1987,
in setupDevice
raise SystemError, "pvcreate failed for %s" % (volume,)
SystemError:pvcreate failed for <fsset.PartitionDevice instance at 0xb7caa04c>

Version-Release number of selected component (if applicable):
??? I am running it off of the cd I bought

How reproducible:

Steps to Reproduce:
1. Run install
2. Choose options
3. Crash right after it tells me what cd's it will need.
Actual results:

Expected results:

Additional info:
Comment 1 Jeremy Katz 2007-01-15 13:32:53 EST
Can you attach the complete traceback you received?
Comment 2 Rob Hendelman 2007-01-18 22:34:42 EST
I typed this traceback out and that was all that was listed in the box.  What
more do you need me to do?  I do not have a working OS on that machine so I'm
not sure what you are looking for.


Comment 3 David Cantrell 2007-03-30 14:17:30 EDT
We need /tmp/anacdump.txt.  You can get that two ways on RHEL-4:

1) Click the Floppy button on the window where you see the message.  It will
write the file to a floppy disk.

2) Switch over to the shell (Ctrl+Alt+F2) and scp or ftp the file to a network
location of your choosing.
Comment 4 Red Hat Bugzilla 2007-06-11 23:38:17 EDT
requested by Jams Antill

Note You need to log in before you can comment on or make changes to this bug.